=== debian/changelog ===
ros-noetic-carla-msgs (1.3.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- CARLA Simulator Team <carla.simulator@gmail.com>  Mon, 22 Mar 2021 14:53:27 -0000
