=== debian/control ===
Source: ros-noetic-carla-msgs
Section: misc
Priority: optional
Maintainer: CARLA Simulator Team <carla.simulator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-std-msgs
Homepage: http://carla.org/
Standards-Version: 3.9.2

Package: ros-noetic-carla-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-msgs, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: The carla_msgs package
